Subject: Re: fattr4_mode

From: David Robinson <[email-masked]>
Date: Wed, 28 Nov 2001 16:09:11 -0600 (CST)

> > Should fattr4_mode contain the file type, nowadays? It did so in NFSv2, 
> > which was stated as a protocol bug. NFSv3 fixed that. How about NFSv4? The 
> > Linux server and Ethereal seems convinced that the file type should be 
> > included. GETATTR(FATTR4_MODE) returns things like "0100777", even after 
> > doing SETATTR(FATTR4_MODE(0777)). 
> 
> I agree with Brent that the mode attribute should be just that -- mode.
> 
> Will add an issue to specify the allowable values for mode.

To put it a bit bluntly, practically speaking the mode has
no function beyond display while the type has specific required
semantics.

Clients should be using ACCESS to make semantic decisions typically
done by interpreting the mode bits.

	-David